Bug 433992 - fluxbox failed massrebuild attempt for GCC 4.3
Summary: fluxbox failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fluxbox   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: gcc43errors
TreeView+ depends on / blocked
 
Reported: 2008-02-22 12:53 UTC by Jesse Keating
Modified: 2013-01-10 02:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-27 05:33:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix the build (344 bytes, patch)
2008-03-27 05:25 UTC, Christopher Aillon
no flags Details | Diff

Description Jesse Keating 2008-02-22 12:53:30 UTC
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=436521
Exit code was 1, check the build.log for the failed buildArch task.

Comment 1 Jon Stanley 2008-02-23 18:53:49 UTC
main.cc: In function 'void showInfo(std::ostream&)':
main.cc:71: error: 'strlen' was not declared in this scope

Comment 2 Christopher Aillon 2008-03-27 05:25:49 UTC
Created attachment 299274 [details]
Fix the build

Easy fix to build against GCC 4.3

Comment 3 Christopher Aillon 2008-03-27 05:33:35 UTC
Committed to CVS and built.
http://koji.fedoraproject.org/koji/buildinfo?buildID=44015


Note You need to log in before you can comment on or make changes to this bug.